EDIT - bug #7103

verify, fix, improve SpecimenTypeDesignationWorkingSetServicelmpl delete functions
12/01/2017 04:11 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal Found in Version:

Description

SpecimenTypeDesignationWorkingSetServicelmpl implements the delete operation for
SpecimenTypeDesignationWorkingSetDTO<Registration> and also handles the removal of SpecimenTypeDesignations from a
workingset. For both test are implemented in SpecimenTypeDesignationWorkingSetServicelmplTest but they still fail completely or
not all assumptions are fulfilled:

e deleteTypeDesignationTest: fails completely and is ignored
¢ deleteWorkingsetTest: works but the deletion of the working set is not complete:
o the gathering event is not deleted, should it be deleted by orphan removal?
o media are not affected be the deletion, should be an option in SpecimenDeleteConfigurator?

Associated revisions

Revision 8f5a9520 - 12/04/2017 02:44 PM - Katja Luther

fix delete and tests of specimen with typedesignations and gathering events

Revision b1b16714 - 12/04/2017 03:52 PM - Andreas Kohlbecker

renaming SpecimenTypeDesignationWorkingsetEditorPresenterTest to SpecimenTypeDesignationWorkingSetServicelmplTest and fixing test data

Revision 28481¢29 - 12/04/2017 04:30 PM - Andreas Kohlbecker

ref #7103 using transaction rollback to reset db after test method

Revision 0453b64d - 12/14/2017 02:28 PM - Andreas Kohlbecker
ref #7103 fixing test setup and data for SpecimenTypeDesignationWorkingSetServicelmplTest

Revision 9a56a56f - 12/14/2017 03:11 PM - Andreas Kohlbecker

ref #7103 completeting assertions for SpecimenTypeDesignationWorkingSetServicelmplTest

Revision d1344a8b - 12/20/2017 09:22 AM - Andreas Kohlbecker

ref #7103 defined test method execution order
Revision 8555ad50 - 02/14/2018 03:50 PM - Andreas Kohlbecker
ref #7103 TypedEntityReference: harmonizing equals with hashCode method (ignore label) and reenabling testcase in

SpecimenTypeDesignationWorkingSetServicelmplTest

History

#1-12/01/2017 04:12 PM - Andreas Kohlbecker

- Description updated

#2 - 12/04/2017 02:55 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker

The delete in OccurrenceService is updated. Now the deletion of field units of a specimen used in a typedesignation works within a cdmlib service test
(see OccurrenceServiceDeepDeleteTest.testDeepDelete_FieldUnitWithTypeDesignation()), the deletion of the gathering event if it is not used
somewhere else, works too (see testDeepDelete_FieldUnit()).

Please try if the tests in vaadin work as well.
#3 - 12/04/2017 02:55 PM - Katja Luther

- Status changed from New to In Progress

#4 - 12/05/2017 03:56 PM - Andreas Kohlbecker

- Target version changed from Release 4.12 to Release 4.13

#5 - 12/18/2017 03:33 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 70

#6 - 02/14/2018 03:50 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 70 to 100
